Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class PendingRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Request
oracle.security.xmlsec.xkms.PendingRequest`

Direct Known Subclasses:
  StatusRequest

public class PendingRequest
extends Request

XKMS request message to retrieve the result of a previous request for which result code "Pending" was returned.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`PendingRequest(org.w3c.dom.Document owner)` Create a new `PendingRequest` instance.
`PendingRequest(org.w3c.dom.Document owner, java.lang.String systemId)` Create a new `PendingRequest` instance.
`PendingRequest(org.w3c.dom.Document owner, java.lang.String tagName, java.lang.String systemId)` Create a new `PendingRequest` instance.
`PendingRequest(org.w3c.dom.Element element)` Creates a new `PendingRequest` instance from the given Element node.

Method Summary
`java.lang.String` | `getResponseID()` Returns the value of the `ResponseID` attribute for this message, or `null` if none is set.
`void` | `setResponseID(java.lang.String responseID)` Sets the `ResponseId` attribute for this message.

Methods inherited from class oracle.security.xmlsec.xkms.Request
`addRespondWith, addResponseMechanism, getOriginalRequestID, getPendingNotificationIdentifier, getPendingNotificationMechanism, getRespondWiths, getResponseLimit, getResponseMechanisms, setOriginalRequestID, setPendingNotification, setResponseLimit`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PendingRequest

    public PendingRequest(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `PendingRequest` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS PendingRequest schema.
Throws:
  `org.w3c.dom.DOMException`

### PendingRequest

    public PendingRequest(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Create a new `PendingRequest` instance.
Parameters:
  `owner` - The owner document of the new `PendingRequest`.
Throws:
  `org.w3c.dom.DOMException`

### PendingRequest

    public PendingRequest(org.w3c.dom.Document owner,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Create a new `PendingRequest` instance.
Parameters:
  `owner` - The owner document of the new `PendingRequest`.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

### PendingRequest

    public PendingRequest(org.w3c.dom.Document owner,
                          java.lang.String tagName,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Create a new `PendingRequest` instance.
Parameters:
  `owner` - The owner document of the new `PendingRequest`.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setResponseID

    public void setResponseID(java.lang.String responseID)
                       throws org.w3c.dom.DOMException

  Sets the `ResponseId` attribute for this message.
  Parameters:
    `responseID` - The value of the `ResponseID` attribute sent in the original pending response.
  Throws:
    `org.w3c.dom.DOMException`

### getResponseID

    public java.lang.String getResponseID()

  Returns the value of the `ResponseID` attribute for this message, or `null` if none is set.
  Returns:
    The value of the `ResponseID` attribute sent in the original pending response.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.